# SNESGetOptionsPrefix

Sets the prefix used for searching for all SNES options in the database.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetOptionsPrefix(SNES snes,const char *prefix[])

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

prefix -pointer to the prefix string used

Notes: On the fortran side, the user should pass in a string 'prifix' of sufficient length to hold the prefix.

### Keywords

SNES, get, options, prefix, database

### See Also

SNESAppendOptionsPrefix()

Level:advanced
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages